List the members of a space
GET /api/member/communities/{communityId}/spaces/{spaceId}/members. List the members of a space. Headless LMS Communities API reference.
For anyone who can open the space. Members see the active members; moderators also see open requests and invitations.
Path Parameters
communityId*string
spaceId*string
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/communities/string/spaces/string/members"{ "rows": [ { "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "status": "requested", "source": "request", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}People in a community GET
GET /api/member/communities/{communityId}/directory. People in a community. Headless LMS Communities API reference.
Add a person to a space you moderate POST
POST /api/member/communities/{communityId}/spaces/{spaceId}/members. Add a person to a space you moderate. Headless LMS Communities API reference.